import { Host, h } from "@stencil/core";
export class SpwCardTitle {
    constructor() {
        /** Code hexadécimal de la bordure sous le titre (à appliquer sur spw-card-title si la variante de la carte est "people") */
        this.borderColor = '';
    }
    render() {
        return (h(Host, { key: '334d6835dd28e414809f7de8b2f6ad82708d88e6', style: { '--spw-card-title-border-color': this.borderColor } }, h("h3", { key: 'ff00413ca35178fc4cbf60a605fe350e1239e7b7', class: "spw-card-title" }, h("span", { key: '629c669018ecb697c63c9d938b46010c8706b6ba', class: "spw-card-title__text" }, h("slot", { key: 'dac76a2afd228e94dd389122d060304f165743ed' })))));
    }
    static get is() { return "spw-card-title"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["spw-card-title.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["spw-card-title.css"]
        };
    }
    static get properties() {
        return {
            "borderColor": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": "Code hexad\u00E9cimal de la bordure sous le titre (\u00E0 appliquer sur spw-card-title si la variante de la carte est \"people\")"
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "attribute": "border-color",
                "defaultValue": "''"
            }
        };
    }
}
